#
# spec file for package rubygem-kgio
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-kgio
Version:        2.11.4
Release:        1.15
%define mod_name kgio
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://yhbt.net/kgio/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-kgio-rpmlintrc
Source2:        gem2rpm.yml
Summary:        kinder, gentler I/O for Ruby
License:        LGPL-2.1-or-later
Group:          Development/Languages/Ruby

%description
This is a legacy project, do not use it for new projects.  Ruby
2.3 and later should make this obsolete.  kgio provides
non-blocking I/O methods for Ruby without raising exceptions on
EAGAIN and EINPROGRESS.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING LICENSE NEWS README" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.11.4
  see installed NEWS
  === kgio 2.11.4 / 2021-05-25 23:24 UTC
    This release fixes compatibility with GC.compact on Ruby 3.x.
    Thanks to Ngan Pham for the patch and Aaron Patterson for the
    feedback:
    https://yhbt.net/kgio-public/CAAvYYt5Z5f2rMuXO5DMpR1-6uRvu_gXKDvqcyoZ+oNcLiTH39g@mail.gmail.com/T/
    kgio remains obsolete and deprecated, and it's primary dependent
    will be updated to not depend on it in the future.
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.11.3
  see installed NEWS
  === kgio 2.11.3 / 2020-01-08 09:25 UTC
    Some doc and warning fixes for newer Rubies.
    We're no longer on bogomips.org since it's due
    for expiry and I can't pay extortionists for a .org, so
    s/bogomips.org/yhbt.net/ for now, and be prepared to move again
    when extortionists move onto the .net TLD.
    pkg.mk: use --local to "gem install"
    pkg.mk: use dark216 theme for Earth Day 2019
    test: fix warnings with RUBYOPT=-w
    tests: fix unused variable warnings from newer Rubies
    test_connect_fd_leak: do not close socket if non-existent
    test_syssend: avoid warning on cleanup
    build: remove olddoc from the gemspec
    doc: remove private email and outdated gmane archives
    doc: move from bogomips.org/kgio to yhbt.net/kgio
* Thu Feb  8 2018 factory-auto@kulow.org
- updated to version 2.11.2
  see installed NEWS
  === kgio 2.11.2 - fix Ruby 2.5 compatibility for accept_class / 2018-01-30 21:11 UTC
    This release fixes a bug affecting the Rainbows! web server
    which uses Kgio.accept_class:
    https://bogomips.org/rainbows-public/CANp6QoJXRbPLqmOPpG7XmZBc+oYqLWCcq1ipvOyNEQPXDEwx9Q@mail.gmail.com/
  * accept: avoid passing unnecessary arg to rb_funcall
* Tue Jan  9 2018 coolo@suse.com
- updated to version 2.11.1
  see installed NEWS
  === kgio 2.11.1 - fix Ruby 2.5.0dev compatibility / 2017-12-15 19:40 UTC
    This release fixes compatibility with Ruby 2.5.0 preview and
    release candidates (and thus should be ready for 2.5.0 final)
    on some platforms.  At least clang 5.0.0 on OpenBSD is affected.
    Thanks to Jeremy Evans for the fix.
    There's also minor documentation updates since 2.11.0
* Sat Dec 17 2016 coolo@suse.com
- updated to version 2.11.0
  see installed NEWS
  === kgio 2.11.0 - reverting 2.10.0 breakage / 2016-12-16 22:56 UTC
    Mainly this release reverts back to kgio 2.9.3 behavior by
    supporting "autopush" functionality in the C extension.
    Removing this feature in 2.10.0 was a monumental mistake(*) on
    my part which caused a performance regression for ONE known user
    of kgio on the deprecated (but supported) Rainbows! server.
    This release does not affect known users outside of Rainbows!,
    but we may have unknown users, too.
    The attempt at a pure Ruby version of autopush had flaws and
    regressions in real-world testing, so that was abandoned.
    So yeah, kgio will be supported indefinitely even in the face
    of internal changes to MRI, but I strongly discourage its use
    for new projects.
    Users who only support Ruby 2.3 (and later) are encouraged to
    use `exception: false` with all *_nonblock methods.
    4 changes since 2.10.0:
    resurrect Kgio.autopush support in pure Ruby [REVERTED]
    reinstate the original (and dangerous) autopush in C
    TODO: update with Ruby 2.3 status
    test: increase test data sizes to fill socket buffers
    (*) - as was making this a separate project, at all
* Mon Sep  7 2015 coolo@suse.com
- updated to version 2.10.0
  see installed NEWS
  === kgio 2.10.0 - slimming down... / 2015-09-06 08:12 UTC
    The largely-unused autopush functionality is now a no-op.
    Existing applications will probably not notice, and are
    better off using MSG_MORE anyways if they're on Linux.
    Our poll(2) wrapper now uses rb_hash_clear if available,
    reducing global method cache dependence.
    shortlog of changes since 2.9.3:
    README: remove reference to Rainbows!
    writev: update comment on preserving errno
    poll: avoid rb_funcall for rb_hash_clear
    minor doc updates
    remove autopush support and make it a no-op
    HACKING: update URL for Message-ID lookup
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.9.3
* Wed Nov 12 2014 mrueckert@suse.de
- properly migrate to the new style
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Mar  3 2014 kkaempf@suse.com
- add rpmlintrc
* Sat Feb 22 2014 coolo@suse.com
- updated to version 2.9.2
    This release is for compatibility with future releases of mainline ruby,
    as rb_thread_blocking_region is removed in r44955 of ruby trunk
    This also avoids deprecation warnings fo rb_thread_blocking_region
    2.0 and 2.1.
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.9.1
  Thanks to Christopher Rigor for this release.
  Eric Wong (2):
    only define and test kgio_syssend on 1.9+
    various 1.8.7 fixes
  === kgio 2.9.0 - cleanups, bug fixes, minor improvements / 2014-02-04 03:09 UTC
  This adds a new kgio_syssend method for Ruby 1.9+ which behaves
  like BasicSocket#send, but will not raise exceptions on EAGAIN.
  Eric Wong (12):
    test_poll: remove race prone test_poll_EINTR_changed test
    tryopen: remove RARRAY_PTR usage in init
    read_write: remove the rest of RARRAY_PTR usage
    my_writev: stylistic fixes
    Rakefile: kill raa_update task
    avoid downsizing casts
    connect: constify RSTRING-related things
    set RSTRING_MODIFIED where appropriate for Rubinius
    split read_write.c into {read,write,writev}.c
    add kgio_syssend method to wrap send(2)
    write: correct check for various blocking regions
    tryopen: additional debug information for bad Errno values
  Hleb Valoshka (1):
    Don't use deprecated api
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Fri Sep 13 2013 coolo@suse.com
- updated to version 2.8.1, see Changelog
* Fri Jan 25 2013 coolo@suse.com
- updated to version 2.8.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 2.7.4
* Thu Jun 28 2012 cfarrell@suse.com
- license update: LGPL-2.1 or LGPL-3.0
  See http://bogomips.org/kgio/LICENSE.html
* Wed Aug 24 2011 mrueckert@suse.de
- update to version 2.6.0
  We now export SOCK_NONBLOCK, SOCK_CLOEXEC constants in the Kgio
  namespace to make kgio_tryaccept/kgio_accept easier-to-use.
  There are also some minor internal cleanups.
* Sat Jul  2 2011 ammler@openttdcoop.org
- initial gems version 2.5.0
